Delete a room composition.
Synchronously delete a room composition.
DELETE
/
room_compositions
/
{room_composition_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.roomCompositions.delete('5219b3af-87c6-4c08-9b58-5a533d893e21');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.room_compositions.delete(
"5219b3af-87c6-4c08-9b58-5a533d893e21",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.RoomCompositions.Delete(context.TODO(), "5219b3af-87c6-4c08-9b58-5a533d893e21")
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.roomcompositions.RoomCompositionDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.roomCompositions().delete("5219b3af-87c6-4c08-9b58-5a533d893e21");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.room_compositions.delete("5219b3af-87c6-4c08-9b58-5a533d893e21")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->roomCompositions->delete(
'5219b3af-87c6-4c08-9b58-5a533d893e21'
);
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx room-compositions delete \
--api-key 'My API Key' \
--room-composition-id 5219b3af-87c6-4c08-9b58-5a533d893e21curl --request DELETE \
--url https://api.telnyx.com/v2/room_compositions/{room_composition_id} \
--header 'Authorization: Bearer <token>'{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of a room composition.
Example:
"5219b3af-87c6-4c08-9b58-5a533d893e21"
Response
The resource was deleted successfully.
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.roomCompositions.delete('5219b3af-87c6-4c08-9b58-5a533d893e21');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.room_compositions.delete(
"5219b3af-87c6-4c08-9b58-5a533d893e21",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.RoomCompositions.Delete(context.TODO(), "5219b3af-87c6-4c08-9b58-5a533d893e21")
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.roomcompositions.RoomCompositionDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.roomCompositions().delete("5219b3af-87c6-4c08-9b58-5a533d893e21");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.room_compositions.delete("5219b3af-87c6-4c08-9b58-5a533d893e21")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->roomCompositions->delete(
'5219b3af-87c6-4c08-9b58-5a533d893e21'
);
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx room-compositions delete \
--api-key 'My API Key' \
--room-composition-id 5219b3af-87c6-4c08-9b58-5a533d893e21curl --request DELETE \
--url https://api.telnyx.com/v2/room_compositions/{room_composition_id} \
--header 'Authorization: Bearer <token>'{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}